Upstream information

CVE-2020-25597 at MITRE

Description

An issue was discovered in Xen through 4.14.x. There is mishandling of the constraint that once-valid event channels may not turn invalid. Logic in the handling of event channel operations in Xen assumes that an event channel, once valid, will not become invalid over the life time of a guest. However, operations like the resetting of all event channels may involve decreasing one of the bounds checked when determining validity. This may lead to bug checks triggering, crashing the host. An unprivileged guest may be able to crash Xen, leading to a Denial of Service (DoS) for the entire system. All Xen versions from 4.4 onwards are vulnerable. Xen versions 4.3 and earlier are not vulnerable. Only systems with untrusted guests permitted to create more than the default number of event channels are vulnerable. This number depends on the architecture and type of guest. For 32-bit x86 PV guests, this is 1023; for 64-bit x86 PV guests, and for all ARM guests, this number is 4095. Systems where untrusted guests are limited to fewer than this number are not vulnerable. Note that xl and libxl limit max_event_channels to 1023 by default, so systems using exclusively xl, libvirt+libxl, or their own toolstack based on libxl, and not explicitly setting max_event_channels, are not vulnerable.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 6.5
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Changed
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1176346 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
HPE-Helion-OpenStack-8-2020-2787
Image SLES15-EC2-CHOST-HVM-BYOS
  • xen-libs >= 4.10.4_16-3.41.1
  • xen-tools-domU >= 4.10.4_16-3.41.1
Image SLES15-SP1-CHOST-BYOS-EC2
  • xen-libs >= 4.12.3_08-3.28.1
  • xen-tools-domU >= 4.12.3_08-3.28.1
Image SLES15-SP2-CHOST-BYOS-Ali
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-OpenStack
  • xen-libs >= 4.13.1_08-3.10.1
Image SLES15-SP2-CHOST-BYOS-EC2
  • xen-libs >= 4.13.1_08-3.10.1
  • xen-tools-domU >= 4.13.1_08-3.10.1
SUSE Enterprise Storage 5
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
SUSE-Storage-5-2020-2787
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • xen >= 4.10.4_16-3.41.1
  • xen-devel >= 4.10.4_16-3.41.1
  • xen-libs >= 4.10.4_16-3.41.1
  • xen-tools >= 4.10.4_16-3.41.1
  • xen-tools-domU >= 4.10.4_16-3.41.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-2789
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • xen >= 4.12.3_08-3.28.1
  • xen-libs >= 4.12.3_08-3.28.1
  • xen-tools-domU >= 4.12.3_08-3.28.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-2790
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • xen >= 4.13.1_08-3.10.1
  • xen-libs >= 4.13.1_08-3.10.1
  • xen-tools-domU >= 4.13.1_08-3.10.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-2791
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • xen >= 4.12.3_08-3.28.1
  • xen-devel >= 4.12.3_08-3.28.1
  • xen-doc-html >= 4.12.3_08-3.28.1
  • xen-libs >= 4.12.3_08-3.28.1
  • xen-libs-32bit >= 4.12.3_08-3.28.1
  • xen-tools >= 4.12.3_08-3.28.1
  • xen-tools-domU >= 4.12.3_08-3.28.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-2790
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • xen >= 4.13.1_08-3.10.1
  • xen-devel >= 4.13.1_08-3.10.1
  • xen-doc-html >= 4.13.1_08-3.10.1
  • xen-libs >= 4.13.1_08-3.10.1
  • xen-libs-32bit >= 4.13.1_08-3.10.1
  • xen-tools >= 4.13.1_08-3.10.1
  • xen-tools-domU >= 4.13.1_08-3.10.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2791
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • xen >= 4.12.3_08-3.28.1
  • xen-devel >= 4.12.3_08-3.28.1
  • xen-tools >= 4.12.3_08-3.28.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-2790
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • xen >= 4.13.1_08-3.10.1
  • xen-devel >= 4.13.1_08-3.10.1
  • xen-tools >= 4.13.1_08-3.10.1
  • xen-tools-xendomains-wait-disk >= 4.13.1_08-3.10.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP2-2020-2791
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-2822
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • xen >= 4.4.4_44-61.55.1
  • xen-doc-html >= 4.4.4_44-61.55.1
  • xen-kmp-default >= 4.4.4_44_3.0.101_108.117-61.55.1
  • xen-kmp-pae >= 4.4.4_44_3.0.101_108.117-61.55.1
  • xen-libs >= 4.4.4_44-61.55.1
  • xen-libs-32bit >= 4.4.4_44-61.55.1
  • xen-tools >= 4.4.4_44-61.55.1
  • xen-tools-domU >= 4.4.4_44-61.55.1
Patchnames:
slessp4-xen-14521
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-2822
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-2822
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-2822
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-2787
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-2787
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-2787
SUSE Linux Enterprise Server 12 SP4-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-ESPOS
  • xen >= 4.11.4_08-2.36.1
  • xen-doc-html >= 4.11.4_08-2.36.1
  • xen-libs >= 4.11.4_08-2.36.1
  • xen-libs-32bit >= 4.11.4_08-2.36.1
  • xen-tools >= 4.11.4_08-2.36.1
  • xen-tools-domU >= 4.11.4_08-2.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2020-2786
SUSE Linux Enterprise Server 12 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-LTSS
  • xen >= 4.11.4_08-2.36.1
  • xen-doc-html >= 4.11.4_08-2.36.1
  • xen-libs >= 4.11.4_08-2.36.1
  • xen-libs-32bit >= 4.11.4_08-2.36.1
  • xen-tools >= 4.11.4_08-2.36.1
  • xen-tools-domU >= 4.11.4_08-2.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2020-2786
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • xen >= 4.12.3_08-3.24.1
  • xen-doc-html >= 4.12.3_08-3.24.1
  • xen-libs >= 4.12.3_08-3.24.1
  • xen-libs-32bit >= 4.12.3_08-3.24.1
  • xen-tools >= 4.12.3_08-3.24.1
  • xen-tools-domU >= 4.12.3_08-3.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2788
SUSE Linux Enterprise Server 15-LTSS
  • xen >= 4.10.4_16-3.41.1
  • xen-devel >= 4.10.4_16-3.41.1
  • xen-libs >= 4.10.4_16-3.41.1
  • xen-tools >= 4.10.4_16-3.41.1
  • xen-tools-domU >= 4.10.4_16-3.41.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-2789
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-2822
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-2787
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • xen >= 4.11.4_08-2.36.1
  • xen-doc-html >= 4.11.4_08-2.36.1
  • xen-libs >= 4.11.4_08-2.36.1
  • xen-libs-32bit >= 4.11.4_08-2.36.1
  • xen-tools >= 4.11.4_08-2.36.1
  • xen-tools-domU >= 4.11.4_08-2.36.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2020-2786
SUSE Linux Enterprise Server for SAP Applications 15
  • xen >= 4.10.4_16-3.41.1
  • xen-devel >= 4.10.4_16-3.41.1
  • xen-libs >= 4.10.4_16-3.41.1
  • xen-tools >= 4.10.4_16-3.41.1
  • xen-tools-domU >= 4.10.4_16-3.41.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-2789
SUSE Linux Enterprise Software Development Kit 12 SP5
  • xen >= 4.12.3_08-3.24.1
  • xen-devel >= 4.12.3_08-3.24.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-2788
SUSE OpenStack Cloud 7
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-2822
SUSE OpenStack Cloud 8
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-2787
SUSE OpenStack Cloud 9
  • xen >= 4.11.4_08-2.36.1
  • xen-doc-html >= 4.11.4_08-2.36.1
  • xen-libs >= 4.11.4_08-2.36.1
  • xen-libs-32bit >= 4.11.4_08-2.36.1
  • xen-tools >= 4.11.4_08-2.36.1
  • xen-tools-domU >= 4.11.4_08-2.36.1
Patchnames:
SUSE-OpenStack-Cloud-9-2020-2786
SUSE OpenStack Cloud Crowbar 8
  • xen >= 4.9.4_12-3.74.1
  • xen-doc-html >= 4.9.4_12-3.74.1
  • xen-libs >= 4.9.4_12-3.74.1
  • xen-libs-32bit >= 4.9.4_12-3.74.1
  • xen-tools >= 4.9.4_12-3.74.1
  • xen-tools-domU >= 4.9.4_12-3.74.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-2787
SUSE OpenStack Cloud Crowbar 9
  • xen >= 4.11.4_08-2.36.1
  • xen-doc-html >= 4.11.4_08-2.36.1
  • xen-libs >= 4.11.4_08-2.36.1
  • xen-libs-32bit >= 4.11.4_08-2.36.1
  • xen-tools >= 4.11.4_08-2.36.1
  • xen-tools-domU >= 4.11.4_08-2.36.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2020-2786
openSUSE Leap 15.2
  • xen >= 4.13.1_08-lp152.2.9.1
  • xen-debugsource >= 4.13.1_08-lp152.2.9.1
  • xen-devel >= 4.13.1_08-lp152.2.9.1
  • xen-doc-html >= 4.13.1_08-lp152.2.9.1
  • xen-libs >= 4.13.1_08-lp152.2.9.1
  • xen-libs-32bit >= 4.13.1_08-lp152.2.9.1
  • xen-libs-32bit-debuginfo >= 4.13.1_08-lp152.2.9.1
  • xen-libs-debuginfo >= 4.13.1_08-lp152.2.9.1
  • xen-tools >= 4.13.1_08-lp152.2.9.1
  • xen-tools-debuginfo >= 4.13.1_08-lp152.2.9.1
  • xen-tools-domU >= 4.13.1_08-lp152.2.9.1
  • xen-tools-domU-debuginfo >= 4.13.1_08-lp152.2.9.1
  • xen-tools-xendomains-wait-disk >= 4.13.1_08-lp152.2.9.1
Patchnames:
openSUSE-2020-1608


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 3.0 xen Affected
SUSE Container as a Service Platform 1.0 xen Affected
SUSE Container as a Service Platform 2.0 xen Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem xen Released
SUSE Linux Enterprise 15-SP1 Module for Server Applications xen Released
SUSE Linux Enterprise 15-SP2 Module for Basesystem xen Released
SUSE Linux Enterprise 15-SP2 Module for Server Applications xen Released
SUSE Linux Enterprise High Performance Computing 12 SP4 xen Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 xen Released
SUSE Linux Enterprise High Performance Computing 15 LTSS xen Affected
SUSE Linux Enterprise Server 11 SP4 LTSS xen Affected
SUSE Linux Enterprise Server 12 SP2 BCL xen Affected
SUSE Linux Enterprise Server 12 SP2 LTSS xen Affected
SUSE Linux Enterprise Server 12 SP3 BCL xen Affected
SUSE Linux Enterprise Server 12 SP3 LTSS xen Affected
SUSE Linux Enterprise Server 12 SP4 LTSS xen Affected
SUSE Linux Enterprise Server 12 SP5 xen Released
SUSE Linux Enterprise Server ESPOS 15 xen Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xen Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xen Released
SUSE Linux Enterprise Software Development Kit 12 SP5 xen Affected